@charset "UTF-8";

/*
  Each pa1ette has a background color followed by a few foreground colors.
  Next to each foreground color are their combined accessibility, and contrast ratings.

  Normal text, about 16px:
    AA ~ >= 4.5 (good)
    AAA ~ >= 7 (better)

  Large text, about 24px: (bold text too)
    AA Large ~ >= 3
    AAA Large ~ >= 4.5
*/

.pa1ette_black {
  --background-color: #111111; /* Black */
  --aqua: #7fdbff; /* AAA ~ 12.12 */
  --blue: #0074d9; /* AA Large ~ 4.05 */
  --lime: #01ff70; /* AAA ~ 13.97 */
  --teal: #39CCCC; /* AAA ~ 9.61 */
  --olive: #3D9970; /* AA ~ 5.39 */
  --green: #2ECC40; /* AAA ~ 8.84 */
  --red: #FF4136; /* AA ~ 5.45 */
  --orange: #FF851B; /* AAA ~ 7.75 */
  --purple: #B10DC9; /* AA Large ~ 3.39 */
  --yellow: #FFDC00; /* AAA ~ 13.93 */
  --fuchsia: #F012BE; /* AA ~ 4.98 */
  --gray: #AAAAAA; /* AAA ~ 8.13 */
  --white: #FFFFFF; /* AAA ~ 18.88 */
  --silver: #DDDDDD; /* AAA ~ 13.90 */
}

.pa1ette_white {
  --background-color: #FFFFFF; /* White */
  --blue: #0074D9; /* AA ~ 4.67 */
  --navy: #001F3F; /* AAA ~ 16.56 */
  --olive: #3D9970; /* AA Large ~ 3.51 */
  --red: #FF4136; /* AA Large ~ 3.46 */
  --maroon: #85144B; /* AAA ~ 9.55 */
  --purple: #B10DC9; /* AA ~ 5.57 */
  --fuchsia: #F012BE; /* AA Large ~ 3.79 */
  --black: #111111; /* AAA ~ 18.88 */
}

.pa1ette_silver {
  --background-color: #DDDDDD; /* Silver */
  --blue: #0074D9; /* AA Large ~ 3.44 */
  --navy: #001F3F; /* AAA ~ 12.20 */
  --maroon: #85144B; /* AAA ~ 7.03 */
  --white: #FFFFFF; /* AA Large ~ 4.10 */
  --black: #111111; /* AAA ~ 13.90 */
}

.pa1ette_gray {
  --background-color: #AAAAAA; /* Gray */
  --navy: #001F3F; /* AAA ~ 7.13 */
  --maroon: #85144B; /* AA Large ~ 4.11 */
  --black: #111111; /* AAA ~ 8.13 */
}

.pa1ette_fuchsia {
  --background-color: #F012BE; /* Fuchsia */
  --navy: #001F3F; /* AA Large ~ 4.37 */
  --white: #FFFFFF; /* AA Large ~ 3.79 */
  --black: #111111; /* AA ~ 4.98 */
}

.pa1ette_yellow {
  --background-color: #FFDC00; /* Yellow */
  --purple: #B10DC9; /* AA Large ~ 4.11 */
  --maroon: #85144B; /* AAA ~ 7.04 */
  --navy: #001F3F; /* AAA ~ 12.22 */
  --blue: #0074D9; /* AA Large ~ 3.44 */
  --black: #111111; /* AAA ~ 13.93 */
}

.pa1ette_purple {
  --background-color: #B10DC9; /* Purple */
  --lime: #01FF70; /* AA Large ~ 4.12 */
  --silver: #DDDDDD; /* AA Large ~ 4.10 */
  --black: #111111; /* AA Large ~ 3.39 */
  --white: #FFFFFF; /* AA ~ 5.57 */
  --yellow: #FFDC00; /* AA Large ~ 4.11 */
}

.pa1ette_orange {
  --background-color: #FF851B; /* Orange */
  --maroon: #85144B; /* AA Large ~ 3.92 */
  --navy: #001F3F; /* AA ~ 6.80 */
  --black: #111111; /* AAA ~ 7.75 */
}

.pa1ette_maroon {
  --background-color: #85144b; /* Maroon */
  --lime: #01FF70; /* AAA ~ 7.07 */
  --aqua: #7FDBFF; /* AA ~ 4.86 */
  --green: #2ECC40; /* AA Large ~ 4.47 */
  --orange: #FF851B; /* AA Large ~ 3.92 */
  --yellow: #FFDC00; /* AAA ~ 7.04 */
  --gray: #AAAAAA; /* AA Large ~ 4.11 */
  --white: #FFFFFF; /* AAA ~ 9.55 */
  --silver: #DDDDDD; /* AAA ~ 7.03 */
}

.pa1ette_red {
  --background-color: #FF4136; /* Red */
  --navy: #001F3F; /* AA ~ 4.78 */
  --white: #FFFFFF; /* AA Large ~ 3.46 */
  --black: #111111; /* AA ~ 5.45 */
}

.pa1ette_aqua {
  --background-color: #7fdbff; /* Aqua */
  --navy: #001F3F; /* AAA ~ 10.63 */
  --maroon: #85144B; /* AA ~ 6.13 */
  --fuchsia: #F012BE; /* AA Large ~ 3.57 */
  --black: #111111; /* AAA ~ 12.12 */
}

.pa1ette_blue {
  --background-color: #0074d9; /* Blue */
  --lime: #01FF70; /* AA Large ~ 3.45 */
  --navy: #001F3F; /* AA Large ~ 3.55 */
  --yellow: #FFDC00; /* AA Large ~ 3.44 */
  --white: #FFFFFF; /* AA ~ 4.67 */
  --black: #111111; /* AA Large ~ 4.05 */
  --silver: #DDDDDD; /* AA Large ~ 3.44 */
}

.pa1ette_navy {
  --background-color: #001F3F; /* Navy */
  --blue: #0074D9; /* AA Large ~ 3.55 */
  --aqua: #7FDBFF; /* AAA ~ 8.43 */
  --olive: #3D9970; /* AA ~ 4.72 */
  --green: #2ECC40; /* AAA ~ 7.75 */
  --lime: #01FF70; /* AAA ~ 12.26 */
  --red: #FF4136; /* AA ~ 4.78 */
  --orange: #FF851B; /* AA ~ 6.80 */
  --yellow: #FFDC00; /* AAA ~ 12.22 */
  --fuchsia: #F012BE; /* AA Large ~ 4.37 */
  --gray: #AAAAAA; /* AAA ~ 7.13 */
  --silver: #DDDDDD; /* AAA ~ 12.20 */
  --white: #FFFFFF; /* AAA ~ 16.56 */
}

.pa1ette_teal {
  --background-color: #39CCCC; /* Teal */
  --navy: #001F3F; /* AAA ~ 8.43 */
  --maroon: #85144B; /* AA ~ 4.86 */
  --black: #111111; /* AAA ~ 9.61 */
}

.pa1ette_ {
  --background-color: #01ff70; /* Lime */
  --blue: #0074D9; /* AA Large ~ 3.45 */
  --navy: #001F3F; /* AAA ~ 12.26 */
  --maroon: #85144B; /* AAA ~ 7.07 */
  --fuchsia: #F012BE; /* AA Large ~ 4.12 */
  --black: #111111; /* AAA ~ 13.97 */
}

.pa1ette_olive {
  --background-color: #3D9970; /* Olive */
  --navy: #001F3F; /* AA ~ 4.72 */
  --white: #FFFFFF; /* AA Large ~ 3.51 */
  --black: #111111; /* AA ~ 5.39 */
}

.pa1ette_green {
  --background-color: #2ECC40; /* Green */
  --navy: #001F3F; /* AAA ~ 7.75 */
  --black: #111111; /* AAA ~ 8.84 */
  --maroon: #85144B; /* AA Large ~ 4.47 */
}
